#include <stdio.h>

int main()
{
    int n;
    scanf("%d",&n);
    int i,a[n],j,p,c;
    for (i=1;i<=n+1;i++) scanf("%d",&a[i]);
    c=a[n+1];
    for (i=1;i<n;i++)
    {
        for (j=i+1;j<=n;j++)
        {
            if (a[i]>a[j])
            {
                p=i;
            }
            else if (a[i]<a[j])
            {
                p=j;
            }
            if (p>0) break;
        }
        if (p>0) break;
    }
    for (i=1;i<n;i++)
        if (i!=p) printf("%d ",a[i+1]);
    if (p!=n) printf("%d",c);
    return 0;
}